#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

QT_BEGIN_NAMESPACE
namespace Ui {
class MainWindow;
}
QT_END_NAMESPACE

class FunctionNavigationBar;
class DvieMainWindow;
class TccMainWindow;
class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private:
    void initialize();

protected:
    bool event(QEvent*);
    // void moveEvent(QMoveEvent*);
    // void resizeEvent(const QSize &size, const QSize &oldSize);

public slots:
    void onSignal_funBtnClicked(QString);

private:
    Ui::MainWindow*         ui;
    FunctionNavigationBar*  m_funNavigationBar;

    DvieMainWindow*         m_pDvieMainWindow;
    TccMainWindow*          m_pTccMainWindow;
};
#endif // MAINWINDOW_H
